:menu
@echo off
cls
echo.
echo Press 1 for Arthur CGA
echo Press 2 for Arthur EGA
echo Press 3 for Arthur MCGA
echo Press 4 to Quit
echo.
choice /C:1234 /N Please Choose:

if errorlevel = 4 goto quit
if errorlevel = 3 goto mcga
if errorlevel = 2 goto ega
if errorlevel = 1 goto cga

:mcga
frotz -d3 arthur.zip
goto quit

:ega
frotz -d4 arthur.zip
goto quit

:cga
frotz -d2 arthur.zip
goto quit

:quit
exit